%global srcname nb2plots

Name:           python-%{srcname}
Version:        0.6
Release:        4%{?dist}
Summary:        Convert between Jupyter notebooks and sphinx docs

License:        BSD
URL:            https://github.com/matthew-brett/%{srcname}
Source0:        https://github.com/matthew-brett/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
# https://github.com/matthew-brett/nb2plots/commit/47214f97d7396310566c72ad4cf63389abf465a9
Patch0:         %{srcname}-sphinxtesters.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(ipykernel)
BuildRequires:  python3dist(ipython)
BuildRequires:  python3dist(jupyter-client)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nbconvert)
BuildRequires:  python3dist(netifaces)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(numpydoc)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(scripttester)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinxtesters)
BuildRequires:  python3dist(texext)

BuildRequires:  latexmk
BuildRequires:  pandoc
BuildRequires:  tex(latex)
BuildRequires:  tex(capt-of.sty)
BuildRequires:  tex(fncychap.sty)
BuildRequires:  tex(framed.sty)
BuildRequires:  tex(needspace.sty)
BuildRequires:  tex(tabulary.sty)
BuildRequires:  tex(upquote.sty)
BuildRequires:  tex(wrapfig.sty)

%description
This package contains tools for converting from Jupyter notebooks to
ReST for Sphinx, and vice versa.

%package -n     python3-%{srcname}
Summary:        Convert between Jupyter notebooks and sphinx docs
Requires:       pandoc
Requires:       python3dist(ipykernel)
Requires:       python3dist(ipython)
Requires:       python3dist(jupyter-client)
Requires:       python3dist(matplotlib)
Requires:       python3dist(nbconvert)
Requires:       python3dist(numpy)
Requires:       python3dist(six)
Requires:       python3dist(sphinx)
Requires:       python3dist(sphinxtesters)
Requires:       python3dist(texext)

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package contains tools for converting from Jupyter notebooks to
ReST for Sphinx, and vice versa.

%package docs
Summary:        Documentation for %{name}

%description docs
Documentation for %{name}.

%prep
%autosetup -p1 -n %{srcname}-%{version}
# The ghp-import requirement is needed only for pushing to github
sed -i '/ghp-import/d' doc-requirements.txt

# Fix shebangs
pathfix.py -pni %{__python3} scripts/* setup.py doc/conf.py
sed -i '/#!python/d' nb2plots/from_notebook.py

%build
%py3_build

# Documentation build
export PATH=$PWD/build/scripts-%{python3_version}:$PATH
export PYTHONPATH=$PWD/build/lib
make -C doc SPHINXBUILD=sphinx-build-3 html

%install
%py3_install

%check
export PYTHONPATH=$PWD/build/lib
pytest-3

%files -n python3-%{srcname}
%doc Changelog README.rst
%license LICENSE
%{_bindir}/nb2plots
%{_bindir}/rst2md
%{_bindir}/sphinx2md
%{_bindir}/sphinx2nb
%{_bindir}/sphinx2pxml
%{_bindir}/sphinx2py
%{python3_sitelib}/%{srcname}*

%files docs
%doc doc/_build/html/*

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 07 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6-3
- Drop the python2 subpackage

* Sat Sep  8 2018 Jerry James <loganjerry@gmail.com> - 0.6-2
- Fix problems found on review

* Wed Sep  5 2018 Jerry James <loganjerry@gmail.com> - 0.6-1
- Initial RPM
